Bug 1251433 - Procedure parameter updated even when canceling the edit dialog
Procedure parameter updated even when canceling the edit dialog
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Barry LaFond
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 05:43 EDT by Andrej Smigala
Modified: 2015-11-17 13:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 13:05:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2606 Minor Closed Procedure parameter updated even when canceling the edit dialog 2015-08-19 04:18:01 EDT

  None (edit)
Description Andrej Smigala 2015-08-07 05:43:07 EDT
When editing parameters for a relational view procedure using the new parameter editor dialog (see TEIIDDES-2557), clicking cancel does not revert the old values

Steps to Reproduce:
    right click a view model, select New Child -> Procedure
    select Procedure, click OK
    switch to the Parameters tab
    click Add
    select the added parameter, click Edit
    change the parameter name
    click Cancel
Comment 2 JBoss JIRA Server 2015-08-07 08:38:37 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2606 to Resolved
Comment 3 JBoss JIRA Server 2015-08-19 04:18:01 EDT
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2606 to Closed

Note You need to log in before you can comment on or make changes to this bug.